# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [16.7.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.6.2...v16.7.0) (2019-12-10)

**Note:** Version bump only for package quiz-interactions





## [16.6.2](https://gerrit.instructure.com/quizzes-ui/compare/v16.6.1...v16.6.2) (2019-11-20)

**Note:** Version bump only for package quiz-interactions





## [16.6.1](https://gerrit.instructure.com/quizzes-ui/compare/v16.6.0...v16.6.1) (2019-11-19)

**Note:** Version bump only for package quiz-interactions





# [16.6.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.5.0...v16.6.0) (2019-11-18)


### Features

* **fitb:** updated regex tooltip ([1e39ce2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1e39ce2))





# [16.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.4.1...v16.5.0) (2019-11-05)


### Features

* **take:** submit modal now shows questions with invalid input. ([93d28a3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/93d28a3))





## [16.4.1](https://gerrit.instructure.com/quizzes-ui/compare/v16.4.0...v16.4.1) (2019-10-28)

**Note:** Version bump only for package quiz-interactions





# [16.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.3.1...v16.4.0) (2019-10-24)


### Bug Fixes

* **points:** limit points inputs to 3 decimal places ([ba43fb8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ba43fb8))


### Features

* **numeric-take:** Students will now be warned if their answer is not a number. ([b7eb838](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b7eb838))





# [16.3.1](https://gerrit.instructure.com/quizzes-ui/compare/v16.3.0...v16.3.1) (2019-10-14)

**Note:** Version bump only for package quiz-interactions





# [16.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.2.0...v16.3.0) (2019-10-03)

**Note:** Version bump only for package quiz-interactions





# [16.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.1.0...v16.2.0) (2019-09-30)


### Bug Fixes

* **fileUpload:** show images with uppercase extensions ([b3c067a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b3c067a))





# [16.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v16.0.0...v16.1.0) (2019-09-11)


### Bug Fixes

* **i18n:** separate fitb possible answers with translated comma ([d8ca381](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d8ca381))





# [16.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.7.0...v16.0.0) (2019-08-28)


### Bug Fixes

* **ChoiceInput:** correct heading level ([51e9229](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/51e9229))
* **ChoiceInput:** drop h3 size down to h4 ([923aec2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/923aec2))
* **fitb:** allow long fitb answers to wrap ([7f7f527](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7f7f527))
* **fitb:** show letter descenders in fitb text inputs ([c4ccf9e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c4ccf9e))
* **formula:** use degrees, not radians, for mathjs ([1ecf686](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1ecf686))
* **katex:** bump katex version ([46c3096](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/46c3096))
* **NumericTake:** answer of the last foumula/numeric question is not saved ([ab133dd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ab133dd))
* **orderingTake:** retain button focus when moving option ([b9cdd0b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b9cdd0b))
* **quizzes-ui:** Fix fonts for multiple components ([16574ad](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/16574ad))
* **take:** Fix misc take JS errors and add error check ([30df7e1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/30df7e1))


### chore

* **build:** Stop building pretranslation bundles ([91f3711](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/91f3711))


### BREAKING CHANGES

* **build:** pretranslated assets are no longer provided (see quiz-translations for translations)

Change-Id: Iec57d0877d73ae540cb0b16f211d309bebc923f8
Reviewed-on: https://gerrit.instructure.com/202945
Reviewed-by: Jacob Burroughs <jburroughs@instructure.com>
Reviewed-by: Aaron Griffin <agriffin@instructure.com>
Visual-Regression-Test: Chromatic
Tested-by: Jenkins
QA-Review: Jacob Burroughs <jburroughs@instructure.com>
Product-Review: Jacob Burroughs <jburroughs@instructure.com>





# [15.7.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.6.0...v15.7.0) (2019-08-19)

**Note:** Version bump only for package quiz-interactions





# [15.6.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.5.0...v15.6.0) (2019-08-07)


### Bug Fixes

* **Banks:** allow item to be open in bank and quiz at the same time ([a8ad6ef](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a8ad6ef))
* **build:** Fix misc build JS errors and add error check ([bb437e3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/bb437e3))
* **quiz-interactions:** Prevent improper reordering of answers when ([a1a0b6e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a1a0b6e))


### Features

* **feedback:** Modify build page to include answer-level feedback input ([d13ec80](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d13ec80))





# [15.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.4.1...v15.5.0) (2019-06-20)


### Bug Fixes

* **FormulaEdit:** don't clear solutions on blur ([27157a9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/27157a9))
* **numeric:** Don't blow up with spaces in result ([b5f131f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b5f131f))
* **quizzes-ui:** Add support for dynamic translation loading ([1f9094f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1f9094f))





## [15.4.1](https://gerrit.instructure.com/quizzes-ui/compare/v15.4.0...v15.4.1) (2019-06-18)

**Note:** Version bump only for package quiz-interactions





# [15.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.3.0...v15.4.0) (2019-06-10)


### Bug Fixes

* **Ordering:** update menu options when choices are dragged ([91919ce](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/91919ce))





# [15.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.2.2...v15.3.0) (2019-06-05)


### Bug Fixes

* **formula:** use parsed value for margin of error ([01d1d2d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/01d1d2d))





## [15.2.2](https://gerrit.instructure.com/quizzes-ui/compare/v15.2.1...v15.2.2) (2019-06-03)

**Note:** Version bump only for package quiz-interactions





## [15.2.1](https://gerrit.instructure.com/quizzes-ui/compare/v15.2.0...v15.2.1) (2019-05-30)

**Note:** Version bump only for package quiz-interactions





# [15.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.2...v15.2.0) (2019-05-28)


### Bug Fixes

* **build:** Remove copy files flag from build calls ([c306a04](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c306a04))
* **categorization:** show less incorrect info for older quizzes ([e67b13e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e67b13e))
* **FormulaEdit:** disable checkbox when regrading ([496fd38](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/496fd38))
* **Modals:** modals in front of calc, select in front of modals ([18b335c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18b335c))
* **quiz-scientific-notation:** large numbers ([aad07b6](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/aad07b6))
* **quizzes-ui:** Fix custom formats not working in translated bundles ([427d6cd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/427d6cd))
* **styles:** fix more styles re-use ([dfd7d9f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dfd7d9f))


### Features

* **FormulaEdit:** scientific notation ([1271695](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1271695))
* **FormulaTake:** scientific notation ([6d7fb31](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6d7fb31))
* **instructure-validations:** translate messages ([f4f3a0b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f4f3a0b))
* **quiz-core:** Display total points on sidebar when building ([db2ac00](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/db2ac00))
* **quiz-interactions:** numeric help dialog ([c446026](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c446026))




## [15.1.2](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.0...v15.1.2) (2019-05-23)

### Bug Fixes

* **styles:** fix more styles re-use ([fa65ab2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fa65ab2))




## [15.1.1](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.0...v15.1.1) (2019-05-14)


### Bug Fixes

* **styles:** fix more styles re-use ([fa65ab2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fa65ab2))





# [15.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.0.0...v15.1.0) (2019-05-07)


### Bug Fixes

* **Calculator:** show modals in front of calculator ([8bf7f40](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8bf7f40))
* **fitb:** change help popover to modal ([cb91d3c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cb91d3c))
* **FormulaEdit:** convert string variables to numbers on mount ([bb287db](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/bb287db))
* **Matching:** allow long options in stimulus OQAAT ([b380110](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b380110))
* **modal:** revert change to modal with z-index ([2cf46df](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2cf46df))
* **Ordering:** improve keyboard navigation of menus ([6a58708](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6a58708))
* **quiz-common:** Fix missing custom i18n formats ([cb268d8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cb268d8))
* **quiz-core:** Fix build page's missing instruction styling ([eae8648](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/eae8648))
* **quiz-interactions:** Fix formula generated results table styling ([38d55db](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/38d55db))
* **quizzes-ui:** Fix custom formats not working in translated bundles ([3e4ef07](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3e4ef07))


### Features

* **quiz-interactions:** numeric result scientific notation ([475cd78](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/475cd78))
* **quiz-interactions:** scientific notation for numeric ([22f331b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/22f331b))





# [15.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.5.1...v15.0.0) (2019-04-17)


### Bug Fixes

* **essay:** wrap long words as needed ([d6f67ac](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d6f67ac))
* **formula:** add sr message for solutions ([7785590](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7785590))
* **LearnosityCalculator:** race conditions ([0087bc7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0087bc7))
* **NumericEdit:** don't strip trailing zeros ([bcd2ac0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/bcd2ac0))
* **NumericResult:** localize user response ([7204fa1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7204fa1))
* **ordering:** handle unanswered questions better ([f1bd2c2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f1bd2c2))
* **quiz-interactions:** Add SR text to ordering interactions for top and bottom labels ([c1e4197](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c1e4197))
* **quiz-interactions:** ignore leading zeros for significant digits ([a7ba23b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a7ba23b))
* **unit-tests:** Fix flappy unit test ([5e4325b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5e4325b))
* **WordCount:** support unicode matches in regex ([b85b166](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b85b166))


### Code Refactoring

* **quizzes-ui:** Upgrade inst-ui to 5.44.0 ([fac441f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fac441f))


### BREAKING CHANGES

* **quizzes-ui:** This patch includes the long awaited bump to ui-presets which
upgrades us to babel 7 and webpack 4.  This also involved updating format-message-cli, which has a breaking change that will filter down to anyone using quiz-presets.  Anyone relying on quiz-presets for format message dependencies will need to update their extract script to include "-g underscored_crc32"

Change-Id: I205b0b9b32d41c8b6f8a7dda259cd98f5a8f09ef
Reviewed-on: https://gerrit.instructure.com/181090
Tested-by: Jenkins
QA-Review: Michael Brewer-Davis <mbd@instructure.com>
Reviewed-by: Aaron Griffin <agriffin@instructure.com>
Visual-Regression-Test: Chromatic
Product-Review: Jim Simon <jsimon@instructure.com>





## [14.5.1](https://gerrit.instructure.com/quizzes-ui/compare/v14.5.0...v14.5.1) (2019-03-25)

**Note:** Version bump only for package quiz-interactions





# [14.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.4.0...v14.5.0) (2019-03-14)


### Bug Fixes

* **quiz-react-sdk:** Move quiz-pages to production dependency list ([0bd8d99](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0bd8d99))





# [14.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.2...v14.4.0) (2019-02-28)


### Bug Fixes

* **building:** close sidebar on title/instr click ([d7b9520](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d7b9520))
* **numeric:** error leaving unchanged take field ([9b3ffd8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9b3ffd8))
* **NumericTake:** pass raw response to handler ([cfcdf13](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cfcdf13))
* **quiz-interactions:** Fix focus issues in RichContentInput ([6f8effe](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6f8effe))
* **quiz-interactions:** Fixed ScoringAlgorithm when VaryPoints is toggled off ([b552971](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b552971))
* **translations:** fix previously split packages ([18b4624](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18b4624))
* **withEditTools:** remove setState batching ([a7e3de2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a7e3de2))





<a name="14.3.2"></a>
## [14.3.2](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.1...v14.3.2) (2019-02-06)


### Bug Fixes

* **numeric:** error leaving unchanged take field ([0bc5efc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0bc5efc))





<a name="14.3.1"></a>
## [14.3.1](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.0...v14.3.1) (2019-02-01)

**Note:** Version bump only for package quiz-interactions





<a name="14.3.0"></a>
# [14.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.2.0...v14.3.0) (2019-02-01)


### Bug Fixes

* **fill_blank:** spaces are replaced with no-break spaces ([5f8f53f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5f8f53f))
* **fitb-dropdown:** Correct answer now shows in results when no answer given ([66d096d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/66d096d))
* **LocaleSwitcher:** fetch top-level translations ([c1c1a92](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c1c1a92))
* **MultipleAnswerResult:** correct screenreader text ([3a54812](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3a54812))
* **test:** fix formula tests ([8602c94](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8602c94))


### Features

* **formula:** add answer precision field ([4527b26](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4527b26))
* **NumberInput:** move into quizzes ([e86a6cf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e86a6cf))





<a name="14.2.0"></a>
# [14.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.1.0...v14.2.0) (2019-01-18)


### Bug Fixes

* **FileUpload:** do not show (no answer) on Build or Take ([b1f1e7f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b1f1e7f))
* **reopen:** Fix reopen a11y and add missing reopen state ([f452a01](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f452a01))


### Features

* **calculator:** ensure single visible calc ([d3c9fcc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d3c9fcc))
* **CategorizationTake:** include uncategorized answers in response and scored data ([b9c435e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b9c435e))
* **quiz-core:** Add calculator per question to take interactions ([717717e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/717717e))





<a name="14.1.0"></a>
# [14.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.0.0...v14.1.0) (2019-01-07)


### Bug Fixes

* **FileUpload:** do not show (no answer) on Build or Take ([1c6f50f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1c6f50f))
* **quiz-interactions:** no answer/responses hidden ([582d29c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/582d29c))
* **results-display:** fix some multiple choice cases ([11bb93f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/11bb93f))
* **RichContentInput:** clear blur timeout on focus ([218b5eb](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/218b5eb))


### Features

* **results-display:** handle missing result data categorization ([447f5f0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/447f5f0))





<a name="14.0.0"></a>
# [14.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.5.0...v14.0.0) (2018-12-07)


### Bug Fixes

* **QuestionStem:** Excess contents now scroll ([2170397](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2170397))


### Features

* **CalculatorOption:** Allow enabling a calculator on a question by question basis ([6b48949](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6b48949))
* **MultipleChoiceEdit:** Hide options ([0f09b90](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0f09b90))
* **OqaatAlert:** Add OQAAT alert and checkbox to calculator per question ([a88f633](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a88f633))
* **result-display:** handle missing result data fitb/matching/ordering ([25d5865](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/25d5865))
* **result-display:** handle missing result data for numeric/formula ([f032abe](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f032abe))
* **result-display:** handle missing result data hotspot ([d1021bd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d1021bd))





<a name="13.5.0"></a>
# [13.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.4.0...v13.5.0) (2018-11-08)


### Bug Fixes

* **audio:** Fix audio width in some browsers ([12cc7a0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/12cc7a0))
* **essay:** ensure blank limits treated as blank ([4ac560d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4ac560d))
* **MultipleChoice:** Mark RCE fields as read only to prevent input when overriding ([89b171d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/89b171d))





<a name="13.4.0"></a>
# [13.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.3.1...v13.4.0) (2018-10-26)


### Bug Fixes

* **AnswerInput:** non-RCE Answer Input conforms to RCE ([338782c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/338782c))
* **kinesis:** Throttle the response events we send to kinesis ([5f95338](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5f95338))
* **validators:** trim whitespace for presence check ([2e7c71f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2e7c71f))


### Features

* **result-display:** handle missing result data essay/fileupload ([8bc77c1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8bc77c1))
* **result-display:** handle missing result data multiple choice/answer ([652b445](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/652b445))





<a name="13.3.1"></a>
## [13.3.1](https://gerrit.instructure.com/quizzes-ui/compare/v13.3.0...v13.3.1) (2018-10-19)


### Bug Fixes

* **babelrc:** backport new babel preset ordering ([8f10e01](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f10e01))





<a name="13.3.0"></a>
# [13.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.2.0...v13.3.0) (2018-10-15)


### Bug Fixes

* **AnswerInput:** non-RCE Answer Input conforms to RCE ([608e581](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/608e581))
* **formula:** Use lodash for rounding to fix precision issues ([a70a959](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a70a959))
* **FormulaSection:** Allow solution generation component layout to be adjusted for i18n ([b3098f1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b3098f1))
* **katex:** Gracefully handle invalid latex ([4178c49](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4178c49))
* **katex:** make import work ([46ea328](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/46ea328))
* **latex:** Use the richcontentrender in quiz-react-sdk ([794858b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/794858b))
* **mathquill:** Fix mathquill toolbar ([cdef78e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cdef78e))
* **MathquillToolbar:** Remove redundant function ([20dcc2b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/20dcc2b))
* **NavWrapper:** vertical alignment ([7948df8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7948df8))
* **numeric:** retain precision in Result page ([ba7c15a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ba7c15a))


### Features

* **quiz-scripts:** Create a dumb package to share scripts ([233d43c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/233d43c))
* **result-display:** common result components have neutral state ([0412553](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0412553))
* **validation:** move into quiz-interactions ([18520e4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18520e4))





<a name="13.2.0"></a>
# [13.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.1.0...v13.2.0) (2018-09-13)


### Bug Fixes

* **formula:** fix error message formatting ([a4fa7ce](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a4fa7ce))
* **hotspot:** prevent double scrollbar with hotspot in gauge ([12f0654](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/12f0654))
* **i18n:** translate untranslated strings ([0f3c1cd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0f3c1cd))
* **mathquill:** Center buttons; render with katex ([426a5cf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/426a5cf))


### Features

* **interactions:** enableRichContentEditor prop ([ffb024c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ffb024c))





<a name="13.1.0"></a>
# [13.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.0.0...v13.1.0) (2018-08-31)


### Bug Fixes

* **formula:** Make formula show substitute variables ([c697d4b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c697d4b))
* **rce:** fix debouncing of keyboard events on RCE ([dc440ea](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dc440ea))
* **rce:** fix debouncing of keyboard events on RCE ([f944c90](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f944c90))
* **rce:** fix undefined variable ([45b6ab3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/45b6ab3))
* **rce:** fix undefined variable ([25cd620](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/25cd620))
* **tests:** enable some incorrectly placed tests ([4531d14](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4531d14))
* **TrueFalseEdit:** clean up error props ([402b760](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/402b760))
* **versioning:** Use exact versions for internal packages ([b142eca](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b142eca))


### Features

* **interactions:** add range function to formula interaction ([6218137](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6218137))
* **storybook:** Add example autogenerator ([efbc63d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/efbc63d))





<a name="13.0.0"></a>
# [13.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v12.0.0...v13.0.0) (2018-08-09)


### Bug Fixes

* **fitb:** provide default text match option ([f6d24eb](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f6d24eb))
* **fitb:** update blank correctly for specified answers ([655068b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/655068b))
* **Formula:** Replace all occurrences of variables ([8abc0b7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8abc0b7))
* **icon:** add icon variant back to trash icons ([33462ec](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/33462ec))
* **rce:** add mathquill to every rce ([15fbc13](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/15fbc13))
* **rce:** fix debouncing of keyboard events on RCE ([f944c90](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f944c90))
* **rce:** fix undefined variable ([45b6ab3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/45b6ab3))
* **rce:** remove mobile toolbar ([34bd256](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/34bd256))
* **rce:** Use the correct import path ([70e2b8c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/70e2b8c))
* **RceContentInput:** improve performance by debouncing onChange ([802871d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/802871d))
* **RichContentRenderer:** Fix webpack magic comment ([a54b426](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a54b426))


### Features

* **interactions:** add additional functions to formula interaction type ([ce66f1d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ce66f1d))





<a name="12.0.0"></a>
# [12.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v11.4.2...v12.0.0) (2018-07-18)


### Bug Fixes

* **a11y:** fix a11y for fitb help popover ([fa40fdf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fa40fdf))
* **font:** fix font for formula generate answer message ([5361817](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5361817))
* **formula:** disable inputs when regrading ([5e5eb2c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5e5eb2c))
* **FormulaEdit:** don't round solutions ([ab076d8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ab076d8))
* **i18n:** localize numeric and formula values ([26222a8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/26222a8))
* **ordering:** Fix drag and drop bug on FF and Safari ([1a9d650](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1a9d650))
* **Polygon:** don't draw empty shape ([4de5d54](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4de5d54))
* **rce:** rce media modal overlay covers full page ([a895e5c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a895e5c))





# Change Log

## 7.5.4
* fix(build): Additional Misspelled in FITB Interaction
* fix(formula): show formula validation errors on generate

## 7.5.3
* fix(fitb): allow fitb questions with blank at end

## 7.5.2
* fix(formula): Fix erroneous JS floating point math answers on formula

## 7.5.1
* fix(i18n): numeric edit precise response UX
* fix(i18n): numeric show

## 7.5.0
* fix(i18n): NumberInput
* feat(a11y): add reminder that hot spot isn't accessible
* fix(fitb): group necessary punctuation with blanks on Take
* fix(Ordering): improve DnD on Edit and Take
* fix(i18n): fixes i18n for the rce
* feat(I18n): allow for run time localization via context
* fix(Hospot): show feedback popovers for unanswered hotspot
* fix(rce): allow text/background color change for banked questions
* fix(settings): make capitalization consistent
* fix(categorization): handle focus correctly on Take
* fix(a11y): fix focus indication for file uploads
* fix(Ordering): wrap button in div
* fix(release): Fix quiz-interactions 7.4.0 changelog

## 7.4.0
*  fix(rce): show focus indication for all RCEs
*  chore(package): Mirror package file change from quiz-react-sdk
*  docs(components): add storybook to quiz-interactions
*  fix(fitb,errors): display scoringData errors
*  fix(fitb): update blank in stem when answer changes
*  fix(a11y): adds labels to formula number inputs
*  fix(a11y): Ordering positions read by SR with context
*  fix(formula): generated table is a single table
*  chore(docs): fix interactions docsapp to use src dir
*  fix(a11y): fix wordig on categorization button labels
*  fix(a11y): fitb tooltip links have correct focus indication
*  fix(Ordering): maintain focus when reordering on Edit
*  fix(FITB): drop target UX
*  fix(essay,styling): add overflow style to essay userResponse
*  fix(a11y): categ Edit does not steal focus on initial render

## 7.3.0
*  fix(i18n): interaction validation messages fully translated
*  fix(fileUpload): properly size tall images
*  fix(i18n): translate True and False
*  fix(formula): clicking outside edited formula Show should work
*  fix(tests): running integration tests locally in new repo

## 7.2.0
* fix(formula): min/max handles thousands correctly
* fix(sidebar): banks in sidebar display correctly
* fix(a11y): correct initial focus for mathquill modal
* feat(banks): added share bank feature
* fix(focus): cannot focus rce when readOnly
* fix(MultipleChoice): NoResponse for MC correctly displays rich content
* feat(rce): add ability to upload video/audio
* feat(Edit,Show): Make show views unfocusable

## 7.1.1
- fix(fonts): fix fonts
- fix(Formula): Formula min/max inputs allow values greater than 1000
- fix(FITB): ignore leading/trailing whitespace from open entries
- fix(FITB): KO nav does not cause unexpected scrolling
- fix(formula): prevent results from rendering on init

## 7.1.0
- add cancel & done buttons to mathquill modal
- Allow multiple clauses in formula section
- fix(Matching, Categorization): fix styling issues
- mathquill modal refactor
- accept shuffledOrder as default for Ordering Take
- add margin to rce shortcut modal icon
- fix(Ordering): fix button stylings
- fix(FillInTheBlank): fix radio buttons in edit mode
- fix(Categorization): enforce distractor ordering
- Fix styling for Formula edit
- Fix IE11 highlighting behavior
- prevent deleting last two ordering options
- fix rce load behavior
- matching - consistent styles between components
- fix(build): pass -d to babel, not --d

## 7.0.2
- fix(Edit): Fix FF rce focus
- fix(Numeric): Fix css width

## 7.0.1
- separate out build and publish steps

## 7.0.0
- fix(MathQuill): fix toolbar font, overflow, etc
- * Breaking - expect itemBody validation errors in new format
- fix(RCERenderer): constrain embedded width
- tech debt for Edit views
- feat(Result): Clean up Result views
- feat(Result): Merge choice components

## 6.0.4
- upgrades tinymce version
- emojis show correctly in result components
- fix(CategorizationResult): make blanks consistent
- replace TabList accordion variant with ToggleDetails
- formula max/min inputs: cannot use negative numbers
- use latest sync translations release
- less flakey Ordering Edit tests
- adds option to have rce links open in new tab
- feat(Show&Take): going from show into edit view
- fix hotspot feedback position edge case
- (fix) ie11 ordering css bug

## 6.0.3

## 6.0.2
- Fix X icon alignment for FITB answers
- include repo in docker build
- error message when file upload with restricted type
- hotspot feedback popovers given mountNode
- CategorizationShow handles interactionData updates

## 6.0.1
- Fix themeable config for quiz_web integration tests
- setup s3 translation synchronization
- update to node 8
- fix(Formula): Add banking to Formula Edit

## 6.0.0
- Upgrade instui to 4.6.0, canvas-rce to 3.0.0, and quiz-presets to 5.0.0

## 5.1.2
- update translations
- fix(Numeric): css on only 1 option
- update translations

## 5.1.1

- update translations
- adds optional prompt for fitb
- update translations
- improved/safer backwards compatibility for category order

## 5.0.0

- fix(RCE): focus indication when readOnly
- adds resizing feature to rce
- Fix FITB stem in IE11 SDK docsapp
- fix(Show&Take): make all Show views readOnly
- update translations
- Fixes FITB validations for IE11
- *Breaking - Add getRenderedResponse to Records
- Improve numeric precise response UX
- call `answerPointsOnChange` callback onChange

## 4.0.3

- fix(numeric): return precise values as a string

## 4.0.2

- update translations
- fixes Pts to be aligned properly in vary points by answer
- fix(FITB): fix onCreateBlank css issue
- assign width to Essay word limit inputs
- update translations
- fixes essay word count for symbols on result page
- fix images not showing in FileUpload IE11
- Fix Formula PreGeneration Validations
- allows fitb to handle tag-like content
- Fix Formula error message vertical alignment

## 4.0.1

- fixes eternal tooltip from unmounted rce
- Hack to fix backspace in MS Edge contenteditable
- Disallow decimals in precision, add validations
- fix(Ordering): fix ReorderButton margin
- Fix IE11 FITB stem display bug
- fixes rce size on IE/Edge browsers
- fix(Formula): fix generated answers
- switch matching autocomplete component to be editable
- fixes double caret on image import

## 4.0.0

- BREAKING CHANGE - rce image upload improvements
  - consuming application must remove the extra `() =>` for all
    `openImportModal` functions passed to quiz_interactions
- make border 1px instead of 0.5px for file upload preview
- Use Tag component for blanks
- fix sub tag locale for i18n
  - consuming applications must rename translation json files to match with the
    new copies included with the 4.0.0 release. These new translation files are
    now executable in the browser and align with standards use elsewhere such as
    Canvas.
- These 2 commits allow file extensions without leading dot when restricting
  upload file types:
  - Use instructure-ui v3.3.2
  - Bump instructure-validations to v2.0.0
- fix rce keyboard shortcuts modal button
- categories keep correct order
- fix(Categorization) Possible Answers focus
- rce shortcuts modal correctly occludes quiz entries
- update translations
- Fix matching prompt number output
- CanvasRce improvement on import

## 3.3.10

- Categories receive focus when not being edited
- Use the new react interface from canvas-rce

## 3.3.9

- CategorizationTake fix d&d
- fix FileUpload a11y label
- fix FeedbackWraper's VO & UT tech debt

## 3.3.8

- Fix MathQuill toolbar bug when RCE is empty 161a203
- fixes essay wordcount to treat nbsp; as a word break a1304b5
- Fix fill blank word bank drop handler 340e113
- hotspot result tags are correctly positioned 4dc6047
- fix(CategorizationTake): override default focus ef97fee
- chore(env): Make the dev environment a little more sane 5a4d373

## 3.3.6

- adds hasResponse to interaction records

## 3.3.5

- fix(RCE): create more RCE toolbar groups
- Fix FITB bug on IE11
- Fix MathQuill toolbar rendering on IE11
- fixes focus styles for categorization categories
- Fix IE11 Ordering issue
- add openImportModal to Essay Take
- fixes focus styling for RCE shortcut modal icons
- keep page from snapping top when tabbing through RCEs
- fix(RCE): RCE toolbar KO/SR a11y improvement
- fix(RCE): rce title no longer contains guid
- fix(RCE): fixes keyboard shortcuts modal button visibility
- Fix DND in sdk by removing autocomplete in QuizInteractions
- Display a modal on all RCE with shortcuts to assist KO and SR users.
- Fix high contrast issues with Ordering and Matching

## 3.3.4

- fix categ focus issues when removing answers
- fixes focus handling for Category removal
- add missing plugins for RCE
- fix example wrapper code
- add video embed to rce
- Resize/center MathQuill toolbar
- fix rce ie11 lockup

## 3.3.3

- Add validation on Formula for number of generated solutions
- fix(MathQuill): load React properly
- Upgrade to inst-icons 4.x
- update translations
- Fix FITB A11y bugs
- adds option to add alt text to rce images
- fix(fileUpload): file limit number validations

## 3.3.2

- Allow Formula of error to be percentage-based on front-end
- fix(formula): adds additional SR text to generate btn
- Speed up webpack by using noParse
- ignore unmounted components in katex autorender
- fix HotSpotEdit canvas displacement errors
- Fix MathQuill toolbar getting cut off
- forumla - locale and number formatting
- fix HotSpotEdit canvas resizing
- Add MathQuill toolbar
- load mathjs async and only when needed.
- remove --ignore-optional yarn config
- Update result proptypes

## 3.3.1
- makes matching full-width
- fixes matching validation error styling
- Disabled fields for add override for regrading essay component type
- Regrading can disable input fields on FileUpload
- ensures VPBA number inputs are always wide enough
- fixes RCE links to always open in new tab
- Add margin of error input for formula
- Update quiz-interactions and presets
- fix Ordering Edit focus issues
- fix rce focus issues
- Add hotspot upload spinner
- Fix Ordering DND for IE11 and FF
- fixes styling for feedbackWrapper and Matching
- RichContentInput: don’t call .focus() if blurred
- Don’t include tinymce in main webpack bundle

## 3.3.0

- upgrade instructure-ui to 3.3.0
- fix NumericEdit's form layout
- Extract VPBA max points calculation
- update translations
- perf(rich content editor): lazy-load tinymce
- Bump instructure-validations to 1.1.3
- fix(a11y): VO description on delete butttons

## 3.2.0

- add override for regrading ordering component type
- add override for regrading for num component type
- update translations
- add override for regrading for FITB component type
- Don’t make whole page wait to load KaTeX
- add override for regrading for HS component type
- add overrideRegrading for match component type
- add override for regrading for cat component type
- Fix TF Label Bug
- block editable fields with regrading on tof
- add override for regrading for MA component type
- fix Ordering SR text issues
- fix CategorizationTake ie11 css
- fix various Numeric bugs
- Support applicationElement in Modals
- Fix(rce): horizontal scrollbars in rce
- Fix(RCE): allows user to use the RCE with VO in safari
- Fix(hotspot): handles large images better
- fix positive feedback css for edge
- escape blank text when inserting into stem
- fix a11y for FileUpload

## 3.1.4

- add override for regrading for MC component type
- update translations
- fix(a11y): NVDA - Checkboxes next to Options not tied to labels
- fix(a11y): VO text for answers read twice during Take
- Fix(RCE): fixes focus issue for rce inputs
- Improve file upload styling
- Don't use null for interaction data
- fix HotSpot ie11 css
- File upload: Fix display empty allowed types
- Fix screenreader not reading edit blank content
- Change validation message
- Use rich content renderer for FITB results
- fix focus handling in NumericEdit

## 3.1.3

- Fix broken css classnames

## 3.1.2

- Fix empty css builds

## 3.1.1

- fix ie11 HotSpotTake ellipse
- Update canvas-rce to 2.2.3
- Matching dropdown uses Autocomplete
- fix FeedbackWrapper css

## 3.1.0

- Formula validation
- Style fixup file upload
- Fix fitb shuffle properties
- Add validations to file upload
- Screen reader context for matching question pairs
- Rework file-upload
- Improve essay resume debouncing
- Fix MA & MC SR text

## 3.0.1

- Move mathjs out of dev dependencies

## 3.0.0

- upgrade instructure-ui to 3.0.0 frd
- update translations
- fix HotspotResult message overlap
- Revert "upgrade instructure-ui to 3.0.0"
- Unregister event listeners before destroying RCE instance
- Fix file upload result and take
- update translations
- Fix SR for FITB RemoveButton
- upgrade instructure-ui to 3.0.0
- Formula edit: display incomplete solutions and remove duplicates
- Add formula record
- Add formula show page
- Fix formula edit css
- Add formula results and take page
- Automatic generation of solutions for Formula

## 2.3.2

- Rename incorrect tests
- downgrade striptags so uglify/safari don’t blow up
- Fix postcss warnings
- Screenreader FITB fixes

## 2.3.1
- hotspot draws canvas on edit mount
- fitb stem shows placeholder
- Fix interation type initializers

## 2.3.0
- Move records from quiz_web and update to new validations framework
- Update canvas-rce to 2.2.2
- Formula Edit - basic entry of item stem + variable constraints (WIP)
- Fix [a11y] NVDA - Labels for radio buttons read twice

## 2.2.8
- Fix styling Regression from Theming
- Workaround empty stylesheet bug & fix Canvas onBlur
- Add SR labeling to drag&drop answers

## 2.2.7
- Update quiz-presets to 1.0.15
- Update translations
- Implement theming
- Fix FITB stem bug
- Fixes Remove & Reorder Icon misalignments
- Fix docs by adding ui-docs webpack plugin
- Add override prop to multiple_choice edit
- Fix image embedding in RCE inputs

## 2.2.6
- Skipped due to build errors

## 2.2.5
- Skipped due to Instructurecon updates

## 2.2.4
- Skipped due to Instructurecon updates

## 2.2.3
- Skipped due to Instructurecon updates

## 2.2.2
- Fixed Ordering results display with no answer

## 2.2.1
- Fixed SubjectiveFeedback css
- Fix unanswered hotspot display
- Fix FITB Take CSS
- Matching - dropdowns do not flash with timer
- Fix Results Feedbackwrapper
- does not hide RCE toolbar until after click
- Ordering - item movement with RCE
- Fix IconHolder in Safari

## 2.2.0
- Adds Mathquill extension to Numeric RCE
- Sets a Default Height to Image Embeds
- Adds image upload to all RCEs

## 2.1.1-7
- Add image upload to multiple choice stem
- Change TextInput to RichContentInput in multiple places
- Several Numeric UI fixes

## 2.1.1-6
- fixes FITB capitalization issues in results
- adds RCE to item stems

## 2.1.1-3
- Fix css include
- a11y - trash icons say what they will delete
- Support LaTeX math in item stems
- Numeric Edit fixup
- Fix babel build
- Bump quiz-presets to get g/118583
- remove translations with empty messages
- Fixes True/False unanswered question error
- switch to Chrome i18n JSON format
- update translations
- Get i18n all working by using quiz-presets
- Improve ordering behavior
- get css ready to pass stylelint rules
- update translations
- rm docs/app/postcss.config.js. nothing used it
- update some deps and try to share same versions
- Use newest vers that satisfy current package.json
- Add support for new correctAnswer format
- essay - change character debounce to time-based throttle
- Manual eslint fixes
- eslint —fix

## 2.1.1-2
- hot spot results feedback overlay
  positioning fix

## 2.1.1-1
- hot spot square coordinate B is no longer
  relative to coordinate A, but instead
  relative to the whole image

## 2.1.0
- hot spot results component props match
  quiz_web data structure
- tweaks to hot spot styling
