"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  propValues: {
    hasAdditionalAnswers: [false, true]
  },
  getComponentProps: function getComponentProps(props) {
    return {
      itemBody: 'Categorization Example',
      interactionData: {
        categoryOrder: ['uuid1', 'uuid2'],
        categories: {
          uuid1: {
            id: 'uuid1',
            itemBody: 'Planet'
          },
          uuid2: {
            id: 'uuid2',
            itemBody: 'Moon'
          }
        },
        distractors: {
          uuid3: {
            id: 'uuid3',
            itemBody: 'Mars'
          },
          uuid4: {
            id: 'uuid4',
            itemBody: 'Europa'
          },
          uuid5: {
            id: 'uuid5',
            itemBody: 'America'
          }
        }
      },
      scoringData: {
        value: [{
          id: 'uuid1',
          scoringAlgorithm: 'AllOrNothing',
          scoringData: {
            value: ['uuid3']
          }
        }, {
          id: 'uuid2',
          scoringAlgorithm: 'AllOrNothing',
          scoringData: {
            value: props.hasAdditionalAnswers ? [] : ['uuid4', 'uuid5']
          }
        }]
      }
    };
  }
};
exports.default = _default;