"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      transitions = _ref.transitions;
  return {
    margin: spacing.xSmall,
    padding: spacing.xSmall,
    pillMargin: spacing.small,
    background: colors.porcelain,
    choiceBackground: colors.white,
    choiceBorderWidth: borders.widthMedium,
    choiceBorderColor: colors.tiara,
    choiceBorderRadius: borders.radiusMedium,
    choiceMargin: spacing.xSmall,
    emptyContainerBackground: colors.white,
    emptyContainerBorderColor: colors.tiara,
    emptyContainerorderWidth: borders.widthMedium,
    emptyContainerPadding: spacing.xSmall,
    focusBorderColor: colors.brand,
    focusBorderWidth: borders.widthSmall,
    focusBorderRadius: borders.radiusMedium,
    choicesBackgroundTransition: "all ".concat(transitions.duration)
  };
}