"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiIcons = require("@instructure/ui-icons");

var _uiElements = require("@instructure/ui-elements");

var _uiThemeable = require("@instructure/ui-themeable");

var _Card = _interopRequireDefault(require("../../../common/components/Card"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'dEOwC',
  template: function template(theme) {
    return "\n\n.dEOwC_eXaD{align-items:center;background-color:".concat(theme.backgroundColor || 'inherit', ";border:").concat(theme.borderWidth || 'inherit', " solid ").concat(theme.borderColor || 'inherit', ";border-radius:").concat(theme.borderRadius || 'inherit', ";padding:").concat(theme.padding || 'inherit', "}\n\n.dEOwC_eXaD,.dEOwC_eXaD .dEOwC_eYav{display:flex}\n\n.dEOwC_eXaD .dEOwC_bAPG{padding-left:").concat(theme.bodyPaddingLeft || 'inherit', ";padding-right:").concat(theme.bodyPaddingRight || 'inherit', "}\n\n.dEOwC_Fbqm{display:flex;padding:0 ").concat(theme.actionIconPadding || 'inherit', "}");
  },
  'choice': 'dEOwC_eXaD',
  'choiceActions': 'dEOwC_eYav',
  'choiceBody': 'dEOwC_bAPG',
  'actionsContentIconWrapper': 'dEOwC_Fbqm'
};

var _ref =
/*#__PURE__*/
_react.default.createElement(_uiIcons.IconDragHandleLine, null);

var Pill = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(Pill, _Component);

  function Pill() {
    (0, _classCallCheck2.default)(this, Pill);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Pill).apply(this, arguments));
  }

  (0, _createClass2.default)(Pill, [{
    key: "renderActions",
    value: function renderActions() {
      if (this.props.actionsContent) {
        return this.props.actionsContent(this.props.id);
      }

      return _react.default.createElement("div", {
        className: styles.actionsContentIconWrapper
      }, _ref);
    }
  }, {
    key: "render",
    value: function render() {
      if (this.props.isDraggable) {
        return _react.default.createElement(_Card.default, {
          id: this.props.id,
          onDropOut: this.props.onDropOut
        }, _react.default.createElement("div", {
          className: styles.choice
        }, _react.default.createElement("div", {
          className: styles.choiceActions
        }, this.renderActions()), _react.default.createElement("div", {
          className: styles.choiceBody
        }, _react.default.createElement(_uiElements.Text, {
          color: "primary"
        }, this.props.itemBody))));
      }

      return _react.default.createElement("div", {
        id: this.props.id,
        className: styles.choice
      }, _react.default.createElement("div", {
        className: styles.choiceActions
      }, this.renderActions()), _react.default.createElement("div", {
        className: styles.choiceBody
      }, _react.default.createElement(_uiElements.Text, {
        color: "primary"
      }, this.props.itemBody)));
    }
  }]);
  Pill.displayName = "Pill";
  return Pill;
}(_react.Component), _class2.propTypes = {
  actionsContent: _propTypes.default.func,
  isDraggable: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  itemBody: _propTypes.default.string.isRequired,
  onDropOut: _propTypes.default.func
}, _class2.defaultProps = {
  actionsContent: void 0,
  isDraggable: void 0,
  onDropOut: void 0
}, _temp)) || _class);
exports.default = Pill;