"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      borders = _ref.borders,
      colors = _ref.colors;
  return {
    padding: spacing.xxSmall,
    borderWidth: borders.widthMedium,
    borderColor: colors.tiara,
    borderRadius: borders.radiusMedium,
    backgroundColor: colors.white,
    bodyPaddingLeft: spacing.xxSmall,
    bodyPaddingRight: spacing.xSmall,
    actionIconPadding: spacing.xxxSmall
  };
}