"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiButtons = require("@instructure/ui-buttons");

var _uiIcons = require("@instructure/ui-icons");

var _uiThemeable = require("@instructure/ui-themeable");

var _uiA11y = require("@instructure/ui-a11y");

var _uiReactUtils = require("@instructure/ui-react-utils");

var _theme = _interopRequireDefault(require("./theme"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'dbnQr',
  template: function template(theme) {
    return "\n\n.dbnQr_fNrC{display:flex;flex:1 1 auto}\n\n.dbnQr_MNAy{color:".concat(theme.answerButtonWrapperColor || 'inherit', ";flex:1 1 auto;padding-left:").concat(theme.answerButtonWrapperPadding || 'inherit', "}\n\n.dbnQr_jKjZ{padding-left:").concat(theme.addAnswerButtonText || 'inherit', "}");
  },
  'footerSection': 'dbnQr_fNrC',
  'answerButtonWrapper': 'dbnQr_MNAy',
  'addAnswerButtonText': 'dbnQr_jKjZ'
};
var Footer = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(Footer, _Component);

  function Footer() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Footer);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Footer)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.buttonRef = null;

    _this.handleSaveRef = function (node) {
      _this.buttonRef = node;
    };

    return _this;
  }

  (0, _createClass2.default)(Footer, [{
    key: "focus",
    value: function focus() {
      this.buttonRef.focus();
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          buttonText = _this$props.buttonText,
          screenReaderText = _this$props.screenReaderText;
      return _react.default.createElement("div", {
        className: styles.footerSection
      }, _react.default.createElement("div", {
        className: styles.answerButtonWrapper
      }, _react.default.createElement(_uiButtons.Button, Object.assign({
        ref: this.handleSaveRef,
        variant: "link",
        onClick: this.props.onCreateChoice,
        icon: _uiIcons.IconPlusLine
      }, (0, _uiReactUtils.omitProps)(this.props, this.constructor.propTypes)), _react.default.createElement("span", {
        className: styles.addAnswerButtonText
      }, _react.default.createElement(_uiA11y.ScreenReaderContent, null, screenReaderText || (0, _formatMessage.default)('Add Answer')), _react.default.createElement(_uiA11y.PresentationContent, null, buttonText || (0, _formatMessage.default)('Answer'))))));
    }
  }]);
  Footer.displayName = "Footer";
  return Footer;
}(_react.Component), _class2.propTypes = {
  buttonText: _propTypes.default.string,
  screenReaderText: _propTypes.default.string,
  onCreateChoice: _propTypes.default.func
}, _class2.defaultProps = {
  buttonText: null,
  onCreateChoice: function onCreateChoice() {},
  screenReaderText: null
}, _temp)) || _class);
exports.default = Footer;