"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      borders = _ref.borders,
      colors = _ref.colors;
  return {
    optionsInputMargin: spacing.small,
    optionsInputFontSize: typography.fontSizeSmall,
    optionsInputFontWeight: typography.fontWeightNormal,
    optionsInputBorderRadius: typography.radiusMedium,
    optionsInputConditionalMargin: spacing.xSmall,
    optionsInputPadding: spacing.xSmall,
    optionsInputBackgroundColor: colors.white,
    optionsInputFocusColor: colors.licorice
  };
}