"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  propValues: {
    userResponseValues: [{
      quuid1Response: 'George Washington',
      quuid2Response: 'Abraham Lincoln',
      quuid3Response: 'Barack Obama',
      test: 'All present'
    }, {
      quuid1Response: '',
      quuid2Response: '',
      quuid3Response: '',
      test: 'All absent'
    }, {
      quuid1Response: 'Barack Obama',
      quuid2Response: '',
      quuid3Response: '',
      test: '1st present, rest absent'
    }]
  },
  getComponentProps: function getComponentProps(props) {
    return {
      itemId: 'fakeItemId',
      itemBody: "Matching: Take (".concat(props.userResponseValues.test, ")"),
      interactionData: {
        questions: [{
          id: 'quuid1',
          itemBody: '1st President'
        }, {
          id: 'quuid2',
          itemBody: '16th President'
        }, {
          id: 'quuid3',
          itemBody: '44th President'
        }],
        answers: ['George Washington', 'Thomas Jefferson', 'Abraham Lincoln', 'Barack Obama']
      },
      userResponse: {
        value: {
          quuid1: props.userResponseValues.quuid1Response,
          quuid2: props.userResponseValues.quuid2Response,
          quuid3: props.userResponseValues.quuid3Response
        }
      }
    };
  }
};
exports.default = _default;