"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.whenRegrading = exports.withErrors = exports.whenTheCorrectAnswerIsFalse = exports.whenTheCorrectAnswerIsTrue = exports.whenTheCorrectAnswerIsUnspecified = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index"));

var props = {
  enableRichContentEditor: false,
  itemId: 'fakeItemId',
  itemBody: 'True or False Edit Example',
  interactionData: {
    trueChoice: 'True',
    falseChoice: 'False'
  },
  changeItemState: Function.prototype,
  openImportModal: Function.prototype,
  renderImportModal: Function.prototype,
  scoringData: {},
  getErrors: function getErrors() {
    return [];
  }
};
var _default = {
  title: 'True or False Edit'
};
exports.default = _default;

var whenTheCorrectAnswerIsUnspecified = function whenTheCorrectAnswerIsUnspecified() {
  return _react.default.createElement(_index.default, props);
};

exports.whenTheCorrectAnswerIsUnspecified = whenTheCorrectAnswerIsUnspecified;

var whenTheCorrectAnswerIsTrue = function whenTheCorrectAnswerIsTrue() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    scoringData: {
      value: true
    }
  }));
};

exports.whenTheCorrectAnswerIsTrue = whenTheCorrectAnswerIsTrue;

var whenTheCorrectAnswerIsFalse = function whenTheCorrectAnswerIsFalse() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    scoringData: {
      value: false
    }
  }));
};

exports.whenTheCorrectAnswerIsFalse = whenTheCorrectAnswerIsFalse;

var withErrors = function withErrors() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    getErrors: function getErrors() {
      return ['This is an error'];
    }
  }));
};

exports.withErrors = withErrors;

var whenRegrading = function whenRegrading() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    overrideEditableForRegrading: true
  }));
};

exports.whenRegrading = whenRegrading;