"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiIcons = require("@instructure/ui-icons");

var _uiThemeable = require("@instructure/ui-themeable");

var _uiButtons = require("@instructure/ui-buttons");

var _uiA11y = require("@instructure/ui-a11y");

var _uiReactUtils = require("@instructure/ui-react-utils");

var _theme = _interopRequireDefault(require("./theme"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'dvKJu',
  template: function template(theme) {
    return "\n\n.dvKJu_fKMf{align-items:flex-start;display:flex;justify-content:center}";
  },
  'removeDistractor': 'dvKJu_fKMf'
};
var RemoveChoiceButton = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(RemoveChoiceButton, _Component);

  function RemoveChoiceButton() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, RemoveChoiceButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(RemoveChoiceButton)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.button = null;

    _this.focus = function () {
      _this.button.focus();
    };

    _this.handleRef = function (node) {
      _this.button = node;
    };

    _this.handleClick = function (event) {
      _this.props.onRemoveChoice(_this.props.choiceId, event);

      _this.props.onClick(event);
    };

    return _this;
  }

  (0, _createClass2.default)(RemoveChoiceButton, [{
    key: "render",
    // ===========
    //   RENDERS
    // ===========
    value: function render() {
      var _this$props = this.props,
          padding = _this$props.padding,
          buttonSize = _this$props.buttonSize,
          screenReaderText = _this$props.screenReaderText;
      return _react.default.createElement("span", {
        className: styles.removeDistractor,
        style: {
          padding: padding
        }
      }, _react.default.createElement(_uiButtons.Button, Object.assign({}, (0, _uiReactUtils.omitProps)(this.props, this.constructor.propTypes), {
        variant: "icon",
        name: this.props.choiceId,
        onClick: this.handleClick,
        ref: this.handleRef,
        size: buttonSize,
        icon: _uiIcons.IconTrashLine
      }), _react.default.createElement(_uiA11y.ScreenReaderContent, null, screenReaderText || (0, _formatMessage.default)('Remove Distractor'))));
    }
  }]);
  RemoveChoiceButton.displayName = "RemoveChoiceButton";
  return RemoveChoiceButton;
}(_react.Component), _class2.propTypes = {
  buttonSize: _propTypes.default.oneOf(['small', 'medium', 'large']),
  choiceId: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  onRemoveChoice: _propTypes.default.func,
  onClick: _propTypes.default.func,
  screenReaderText: _propTypes.default.string,
  padding: _propTypes.default.string
}, _class2.defaultProps = {
  buttonSize: 'medium',
  choiceId: void 0,
  screenReaderText: null,
  onRemoveChoice: function onRemoveChoice() {},
  onClick: function onClick() {},
  padding: '0.375rem 0 0'
}, _temp)) || _class);
exports.default = RemoveChoiceButton;