"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var propValues = {
  additionalOptions: [[], [{
    key: 'extra',
    title: 'Extra section',
    component: _react.default.createElement("div", null, "Hello")
  }]],
  itemBodyErrors: [[], ['You must have an item body']],
  interactionData: [{
    rce: false,
    spellCheck: true,
    wordCount: false,
    wordLimitEnabled: true,
    wordLimitMin: '100',
    wordLimitMax: '200',
    notes: 'Blah blah'
  }, {
    rce: true,
    spellCheck: false,
    wordCount: true,
    wordLimitEnabled: false,
    wordLimitMin: '',
    wordLimitMax: '',
    notes: ''
  }],
  scoringData: [{
    value: ''
  }, {
    value: 'The rain in spain stays mainly on the plain.'
  }],
  overrideEditableForRegrading: [true, false]
};
var _default = {
  propValues: propValues,
  getComponentProps: function getComponentProps(props) {
    return {
      enableRichContentEditor: false,
      oneQuestionAtATime: false,
      itemId: 'fakeItemId',
      itemBody: 'Essay Edit',
      errors: {
        itemBody: props.itemBodyErrors
      },
      errorsAreShowing: props.itemBodyErrors.length > 0,
      changeItemState: Function.prototype,
      openImportModal: Function.prototype,
      renderImportModal: Function.prototype,
      getErrors: function getErrors() {
        return [];
      }
    };
  }
};
exports.default = _default;