"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  propValues: {
    restrictCount: [true, false],
    restrictTypes: [true, false],
    errors: [null, {
      itemBody: ['Error message item body'],
      properties: {
        allowedTypes: ['Allowed file types error message']
      },
      interactionData: {
        filesCount: ['Files count error message']
      }
    }]
  },
  getComponentProps: function getComponentProps(props) {
    return {
      itemBody: 'File Upload Show',
      interactionData: {
        restrictCount: props.restrictCount,
        filesCount: props.restrictCount ? 1 : 10
      },
      properties: {
        restrictTypes: props.restrictTypes,
        allowedTypes: props.restrictTypes ? 'pdf, docx' : ''
      }
    };
  }
};
exports.default = _default;