"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Take = _interopRequireDefault(require("../Take"));

var defaultUserResponse = {
  value: []
};

var noop = function noop() {};
/**
---
category: FileUpload
---

  File Upload Show component

  ```jsx_example
  <SettingsSwitcher locales={LOCALES}>
    <FileUploadShow
      itemBody="Give three examples of people"
      interactionData={{
        restrictCount: true,
        filesCount: 3
      }}
      properties={{
        restrictTypes: false,
        allowedTypes: ''
      }}
    />
  </SettingsSwitcher>
  ```
**/


var FileUploadShow =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(FileUploadShow, _Component);

  function FileUploadShow() {
    (0, _classCallCheck2.default)(this, FileUploadShow);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(FileUploadShow).apply(this, arguments));
  }

  (0, _createClass2.default)(FileUploadShow, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_Take.default, Object.assign({}, this.props, {
        handleResponseUpdate: noop,
        mediaUpload: noop,
        cancelMediaUpload: noop,
        userResponse: defaultUserResponse,
        readOnly: true
      }));
    }
  }]);
  FileUploadShow.displayName = "FileUploadShow";
  return FileUploadShow;
}(_react.Component);

exports.default = FileUploadShow;
FileUploadShow.propTypes = {
  itemBody: _propTypes.default.string.isRequired,
  interactionData: _propTypes.default.shape({
    restrictCount: _propTypes.default.bool.isRequired,
    filesCount: _propTypes.default.number.isRequired
  }).isRequired,
  properties: _propTypes.default.shape({
    restrictTypes: _propTypes.default.bool.isRequired,
    allowedTypes: _propTypes.default.string
  }).isRequired
};