"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors,
      borders = _ref.borders;
  return {
    createButtonMargin: spacing.small,
    hintMargin: spacing.xSmall,
    createBlankTextWeight: typography.fontWeightBold,
    createBlankHotkeyTextWeight: typography.fontWeightNormal,
    createBlankHotkeyTextSize: typography.fontSizeXSmall,
    createBlankHotkeyTextPadding: spacing.xSmall
  };
}