"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var borders = _ref.borders,
      spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;
  return {
    questionBorderWidth: borders.widthSmall,
    questionBorderColor: colors.tiara,
    questionBorderRadius: borders.radiusMedium,
    questionPaddingTop: spacing.xxSmall,
    questionPaddingSides: spacing.medium,
    questionPaddingBottom: spacing.xSmall,
    headerSectionMargin: spacing.xSmall,
    titleColor: colors.ash,
    titleFontSize: typography.fontSizeLarge,
    titleMargin: spacing.large,
    itemBodyMargin: spacing.small,
    questionPositionFont: typography.fontSizeLarge,
    questionPositionColor: colors.ash,
    pointsPadding: spacing.xxSmall,
    stemFontSize: typography.fontSizeMedium,
    editButtonMargin: spacing.xSmall
  };
}