"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiForms = require("@instructure/ui-forms");

var _uiA11y = require("@instructure/ui-a11y");

var _uiElements = require("@instructure/ui-elements");

var _uiThemeable = require("@instructure/ui-themeable");

var _theme = _interopRequireDefault(require("./theme"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _uiTestable = _interopRequireDefault(require("@instructure/ui-testable"));

var _dec, _dec2, _class, _class2, _temp;

var styles = {
  componentId: 'dPVyc',
  template: function template(theme) {
    return "\n\n.dPVyc_eSAa{color:".concat(theme.userInputColor || 'inherit', ";flex:1 1 auto;padding:").concat(theme.userInputPadding || 'inherit', "}");
  },
  'userInput': 'dPVyc_eSAa'
};
var ChoiceBody = (_dec = (0, _uiTestable.default)(), _dec2 = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = _dec2(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(ChoiceBody, _Component);

  function ChoiceBody() {
    (0, _classCallCheck2.default)(this, ChoiceBody);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ChoiceBody).apply(this, arguments));
  }

  (0, _createClass2.default)(ChoiceBody, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_uiForms.RadioInputGroup, {
        description: _react.default.createElement(_uiA11y.ScreenReaderContent, null, (0, _formatMessage.default)('A list of potential answers')),
        value: this.props.selectedValue,
        name: this.props.name,
        onChange: this.props.onSelectionUpdate,
        readOnly: this.props.readOnly
      }, _react.default.createElement(_uiForms.RadioInput, {
        "aria-label": (0, _formatMessage.default)('Answer: {choice}', {
          choice: this.props.trueChoiceLabel
        }),
        value: "trueChoice",
        label: _react.default.createElement("span", {
          className: styles.userInput
        }, _react.default.createElement(_uiElements.Text, {
          fontStyle: "normal"
        }, this.props.trueChoiceLabel))
      }), _react.default.createElement(_uiForms.RadioInput, {
        "aria-label": (0, _formatMessage.default)('Answer: {choice}', {
          choice: this.props.falseChoiceLabel
        }),
        value: "falseChoice",
        label: _react.default.createElement("span", {
          className: styles.userInput
        }, _react.default.createElement(_uiElements.Text, {
          fontStyle: "normal"
        }, this.props.falseChoiceLabel))
      }));
    }
  }]);
  ChoiceBody.displayName = "ChoiceBody";
  return ChoiceBody;
}(_react.Component), _class2.propTypes = {
  selectedValue: _propTypes.default.string,
  falseChoiceLabel: _propTypes.default.string,
  name: _propTypes.default.string.isRequired,
  onSelectionUpdate: _propTypes.default.func,
  trueChoiceLabel: _propTypes.default.string,
  readOnly: _propTypes.default.bool
}, _class2.defaultProps = {
  selectedValue: void 0,
  onSelectionUpdate: Function.prototype,
  falseChoiceLabel: (0, _formatMessage.default)('False'),
  trueChoiceLabel: (0, _formatMessage.default)('True'),
  readOnly: false
}, _temp)) || _class) || _class);
exports.default = ChoiceBody;